#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <stdbool.h>

#include <math.h>

int main(int argc, char** argv) {
	
	if (argc != 2) {
		exit(EXIT_FAILURE);
	}
	
	struct stat fInfo;
	if (stat(argv[1], &fInfo) == -1) {
		exit(EXIT_FAILURE);
	}
	
	unsigned diff = (unsigned)(fabs(ceil((fInfo.st_atime - fInfo.st_mtime)/(60.0*60.0))));
	
	printf("%u\n", diff);
	
	exit(EXIT_SUCCESS);
}
